/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { CommonModule } from "@angular/common";
import { Component, input } from "@angular/core";
import { ReactiveFormsModule, type FormControl } from "@angular/forms";

@Component({
  imports:     [ CommonModule, ReactiveFormsModule ],
  selector:    "app-multi-line",
  styleUrl:    "./multi-line.component.css",
  templateUrl: "./multi-line.component.html",
})
export class MultiLineComponent {
  public label = input.required<string>();
  public control = input.required<FormControl>();
}
