/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import type { Platform } from "../unions/platform.js";
import type { Sanction } from "../unions/sanction.js";

export interface Appeal {
  consent:            boolean;
  email:              string;
  firstName:          string;
  lastName:           string;
  understandBinding:  boolean;
  sanctionType:       Sanction;
  caseNumber:         number;
  sanctionPlatform:   Platform;
  platformUsername:   string;
  sanctionReason:     string;
  sanctionFair:       string;
  behaviourViolation: string;
  appealReason:       string;
  behaviourImprove:   string;
}
