/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import type { Platform } from "../unions/platform.js";

export interface Staff {
  consent:             boolean;
  email:               string;
  firstName:           string;
  lastName:            string;
  understandVolunteer: boolean;
  platform:            Platform;
  platformUsername:    string;
  whyJoin:             string;
  currentBehaviour:    string;
  priorExperience:     string;
  internalConflict:    string;
  handlingTrauma:      string;
  difficultSituation:  string;
  leadershipSituation: string;
}
